% ACCEL  -  acceleration of a foam boat as (vectorized)
%           function of velocity. Refers to experimental
%           parameters in global storage zone.

% Students need to edit this because both the inputs and
% the outputs are not set up to match the requirements of
% matlab's ode45 solver.

% Philip D Loewen, 2009-03-08; 2010-03-04; 2010-03-07; 2011-03-04

function a = accel(v)

% Get boat and setup details from global storage zone
global GRAVITY WATERDENSITY
global FALLINGMASS LOADEDBOATMASS WETTEDSURFACE_S
global PARAMETER_ALPHA PARAMETER_BETA EXPONENT_P

M   = LOADEDBOATMASS;
m   = FALLINGMASS;
S   = WETTEDSURFACE_S;
rho = WATERDENSITY

g   = GRAVITY;

alpha = PARAMETER_ALPHA;
beta  = PARAMETER_BETA;
p     = EXPONENT_P;

% Evaluate drag force:
Fdrag = 0;  %% FIX THIS LINE!

% Acceleration 
a = (2*m*g)/(4*M+m) - 4*Fdrag/(4*M+m);

