% cyclesetup.m - script to set global parameters

% Philip D Loewen, 2011-03-15

global global_THETA_S  global_THETA_B  global_QBAR  global_V_D 
global global_r        global_R1       global_PAMB  global_GAMMA
global global_WEEKDAY

% Default values are here:

global_THETA_S = -0.4;       % Spark onset angle     (rad)
global_THETA_B =  0.8;       % Burn duration angle   (rad)
global_QBAR    = 1800;       % Total heat input      (J)
global_V_D     = 5.E-4;      % Piston displacement   (m^3)
global_r       = 10.;        % Piston length ratio   (1)
global_R1      =  3.;        % Piston volume ratio   (1)
global_PAMB    = 1.01E5;     % Ambient pressure      (N/m^2)
global_GAMMA   = 1.4;        % Thermo exponent       (1)
global_WEEKDAY = 'Thursday'; % Guaranteed to be wrong

% Announce them:
disp(' ');
disp('cyclesetup -- configured global variables as follows:')
disp(sprintf('  global_THETA_S = %9.2e',global_THETA_S));
disp(sprintf('  global_THETA_B = %9.2e',global_THETA_B));
disp(sprintf('  global_QBAR    = %9.2e',global_QBAR));
disp(sprintf('  global_V_D     = %9.2e',global_V_D));
disp(sprintf('  global_r       = %9.2e',global_r));
disp(sprintf('  global_R1      = %9.2e',global_R1));
disp(sprintf('  global_PAMB    = %9.2e',global_PAMB));
disp(sprintf('  global_GAMMA   = %9.2e',global_GAMMA));
disp(sprintf('  global_WEEKDAY = %s',   global_WEEKDAY));
