% DRAWHAND - Draw Olivier's hand on the screen
%  Credit for the original art to http://shapes.aim-at-shape.net/

% Philip D Loewen, 2010-01-26; 2011-01-26


% Save some work: if data is loaded already, don't import it again
if ~exist('hand_loaded')
  load hand
end

% Set up to draw the figure
figure('Name','Olivier''s Hand');
hold on;

% Create a single patch object and remember its handle
Ohandle = trisurf(FACELIST,X,Y,Z);

% Fight distortion; add some reference lines
axis equal; grid on; 

% Erase triangle edge lines and give hand a natural hue
set(Ohandle,'EdgeColor','none');
colormap copper

% Insert light object
light('Position',[0.5,1.0,2.0]);
