% GRADF Find the gradient of the function f numerically
%
% G = GRADF(t,XYcoords)
%  returns a column vector G containing the first partial
%  derivatives of f at the point stored in XYcoords.
%  (Function f must be available elsewhere.)
%  Input argument "t" has no influence, but it's
%  needed in a later step where this function provides
%  the velocity vectors in an appeal to ODE45.

%  Philip D Loewen, 2010-01-08; 2011-03-10

function G = gradf(t,XYcoords)

x0typ = 1.0;             % Typical value of x0
y0typ = 1.0;             % Typical value of y0

h = (1.0E-6) * x0typ;
k = (1.0E-6) * y0typ;

x0 = XYcoords(1);        % x-coord of gradient-evaluation point
y0 = XYcoords(2);        % y-coord of gradient-evaluation point


% ATTENTION STUDENTS:
% Concentrate between here and the end of this file.
% Make whatever changes are needed so the return value
% is a trustworthy approximation to the gradient of f
% at the point whose coordinates are supplied as input.


disp('Function gradf is just a template. It will return');
disp('incorrect gradient values until you fix it. When ');
disp('you do, feel free to delete this annoying message.');


fx = 0;
fy = 0;

G = [fx;fy];             % Column of approximate partial derivatives
